Docs
Product Repository APICustomer Specific Assignment Rule

Partially update a customer specific assignment ruleBeta

Security groups:Rule Engineers
PATCH
/assignments/csars/{id}

Updates the provided fields of a customer specific assignment rule.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The unique identifier of the Customer Specific Assignment Rule. Must be a valid UUID.

FormatUUID

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/assignments/csars/string" \  -H "Content-Type: application/json" \  -d '{    "description": "Updated description- now includes both green and red veggie colors",    "code": {      "ukgt": "UKGT-4567"    }  }'
Empty
{
  "code": "BadRequest",
  "message": "Bad request.",
  "status": "BAD_REQUEST"
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}
{
  "code": "Forbidden",
  "message": "API key no longer has access to the account, or their user level doesn’t allow access to the endpoint.",
  "status": "FORBIDDEN"
}
{
  "code": "NotFound",
  "message": "The requested resource could not be found. Either no object exists with the ID provided in the path, or the path is incorrect.",
  "status": "NOT_FOUND"
}
{
  "code": "PAYLOAD_TOO_LARGE",
  "message": "Request body too large.",
  "status": "PAYLOAD_TOO_LARGE",
  "timestamp": "2024-06-21T12:36:37.900574"
}